Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.ide.eclipse
Class EclipseWtp

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.ide.eclipse.EclipseWtp

    class EclipseWtp
    extends ConventionTask

Generates Eclipse configuration files for Eclipse WTP.

author:
  Hans Dockter

Field Summary
`static java.lang.String` | `WTP_FILE_DIR`
`static java.lang.String` | `WTP_FILE_NAME`

Constructor Summary
`EclipseWtp(Project project, java.lang.String name)`

Method Summary
`java.lang.Object` | `getDeployName()` Returns the deploy name for this project.
`java.lang.Object` | `getOutputDirectory()` Returns the java-output-path to be used by the wtp descriptor file.
`List` | `getProjectDependencies()` Returns the project dependencies to be transformed into eclipse project dependencies.
`List` | `getWarLibs()` Returns a list with library paths to be deployed as war lib dependencies.
`Map` | `getWarResourceMappings()` Returns the war resource mappings
`boolean` | `isFailForMissingDependencies()` Returns whether the build should fail if lib dependencies intended to be used by this task can not be resolved.
`void` | `setDeployName(java.lang.Object deployName)` Set the deploy name for this project.
`void` | `setFailForMissingDependencies(boolean failForMissingDependencies)` Sets whether the build should fail if lib dependencies intended to be used by this task can not be resolved.
`void` | `setOutputDirectory(java.lang.Object outputDirectory)` Sets the java-output-path to be used by the wtp descriptor file.
`void` | `setProjectDependencies(List projectDependencies)` Sets the project dependencies to be transformed into eclipse project dependencies.
`void` | `setWarLibs(List warLibs)` Sets a list with library paths to be deployed as war lib dependencies.
`void` | `setWarResourceMappings(Map warResourceMappings)` Maps a deploy-path to source-paths.

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Field Detail

### WTP_FILE_DIR

    static final java.lang.String WTP_FILE_DIR

### WTP_FILE_NAME

    static final java.lang.String WTP_FILE_NAME

Constructor Detail

### EclipseWtp

    public EclipseWtp(Project project, java.lang.String name)

Method Detail

### getDeployName

    public java.lang.Object getDeployName()

  Returns the deploy name for this project.
  see:
    #setDeployName(Object)

### getOutputDirectory

    public java.lang.Object getOutputDirectory()

  Returns the java-output-path to be used by the wtp descriptor file.
  see:
    #setOutputDirectory(Object)

### getProjectDependencies

    public List getProjectDependencies()

  Returns the project dependencies to be transformed into eclipse project dependencies.
  see:
    #setProjectDependencies(java.util.List)

### getWarLibs

    public List getWarLibs()

  Returns a list with library paths to be deployed as war lib dependencies.
  see:
    #setWarLibs(java.util.List)

### getWarResourceMappings

    public Map getWarResourceMappings()

  Returns the war resource mappings
  see:
    #setWarResourceMappings(java.util.Map)

### isFailForMissingDependencies

    public boolean isFailForMissingDependencies()

  Returns whether the build should fail if lib dependencies intended to be used by this task can not be resolved.
  see:
    #setFailForMissingDependencies(boolean)

### setDeployName

    public void setDeployName(java.lang.Object deployName)

  Set the deploy name for this project.
  param:
    deployName An object which toString value is interpreted as a path.

### setFailForMissingDependencies

    public void setFailForMissingDependencies(boolean failForMissingDependencies)

  Sets whether the build should fail if lib dependencies intended to be used by this task can not be resolved. It is important to note that this task does not do any resolve. The purpose of this property is to inform for example a plugin which configures this task. This plugin is supposed to make the build fail, if not all the dependencies it intends to assign to this task can be resolved.
  param:
    failForMissingDependencies

### setOutputDirectory

    public void setOutputDirectory(java.lang.Object outputDirectory)

  Sets the java-output-path to be used by the wtp descriptor file.
  param:
    outputDirectory An object which toString value is interpreted as a path.

### setProjectDependencies

    public void setProjectDependencies(List projectDependencies)

  Sets the project dependencies to be transformed into eclipse project dependencies.
  param:
    projectDependencies

### setWarLibs

    public void setWarLibs(List warLibs)

  Sets a list with library paths to be deployed as war lib dependencies.
  param:
    warLibs An list with objects which toString value is interpreted as a path

### setWarResourceMappings

    public void setWarResourceMappings(Map warResourceMappings)

  Maps a deploy-path to source-paths. The assigned source paths must be sub directories of the project root dir. The assigned source path may be described by an absolute or a relative path. A relative path is interpreted as relative to the project root dir. An absolute path is transformed into a relative path in the resulting eclipse file. If an absolute source path is not a sub directory of project root an exception is thrown.
  param:
    warResourceMappings

Groovy Documentation